%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           polysh
Version:        0.13
Release:        1%{?dist}
Summary:        Group Shell - aggregate several remote shells into one
URL:            https://github.com/innogames/polysh/
Source0:        https://github.com/innogames/polysh/archive/polysh-%{version}.tar.gz

License:        GPLv2+
Group:          Applications/Internet
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3 

%description
polysh is used to launch several remote shells on many machines at the same
time and control them from a single command prompt.

%prep
%setup -q -n %{name}-%{name}-%{version}

%build
%{__python3} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files
%{_bindir}/polysh
%{python3_sitelib}/polysh/
%{python3_sitelib}/polysh-*.egg-info
%doc CHANGELOG.rst README.rst
%license LICENSE

%changelog
* Fri May 15 2020 josef radinger <cheese@nosuchhost.net> - 0.13-1
- bump version

* Sat Dec 07 2019 josef radinger <cheese@nosuchhost.net> - 0.11-1
- bump version

* Sat May 11 2019 josef radinger <cheese@nosuchhost.net> - 0.9-1
- bump version
- update source-url
- remove buildrequires to python2
- remove defattr
- remove clean-section
- add license-tag
- cleanup
- set default to python3

* Mon May 06 2019 josef radinger <cheese@nosuchhost.net> - 0.4-3
- set default to python2

* Fri May 24 2013 josef radinger <cheese@nosuchhost.net> - 0.4-2
- fix egg-path

* Wed May 22 2013 josef radinger <cheese@nosuchhost.net> - 0.4-1
- bump version
- rename gsh to polysh 
- remove unneeded patch

* Thu Jan 29 2009 Adam Miller <maxamillion [AT] gmail.com> - 0.3-5
- Added a patch to remove the shebang from pity.py that rpmlint didn't like

* Thu Jan 29 2009 Adam Miller <maxamillion [AT] gmail.com> - 0.3-4
- removed unneeded second -n listing in setup macro listing

* Thu Jan 29 2009 Jochen Schmitt <Jochen herr-schmitt de> - 0.3-3
- Several fixes to get package ready to fit with python packaging guideline

* Wed Jan 28 2009 Adam Miller <maxamillion [AT] gmail.com> - 0.3-2
- Fixed rpmlint complaint, removed egg in setup, redownloaded source

* Wed Jan 28 2009 Adam Miller <maxamillion [AT] gmail.com> - 0.3-1
- First build of gsh for fedora

